geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Donald Woods <dwo...@apache.org>
Subject Re: Problem with downloading dependencies during plugin installation
Date Wed, 25 Jul 2007 14:13:57 GMT
But, I believe Vasmi's point (which is valid), is that if a plugin wants a 
SNAPSHOT jar, that is what our plugin code should be downloading, or it should 
be failing with an error if it cannot be downloaded from any listed repo....


-Donald

Anita Kulshreshtha wrote:
>   The repo contains commonj/sdo-api-r2.1/1.0-incubating-beta1/jar. This
> is the version that should be specified in the plugin not SNAPSHOT.
> 
> Thanks
> Anita
> 
> --- Vamsavardhana Reddy <c1vamsi1c@gmail.com> wrote:
> 
>> Hi,
>>
>> I am trying to install a plugin which has a dependency on
>> "commonj/sdo-
>> api-r2.1/1.0-incubating-SNAPSHOT/jar".  During the stage at which the
>> depedency jar are downloaded, I see the following:
>>
>> Searching for commonj/sdo-api-r2.1/1.0-incubating-SNAPSHOT/jar at
>> http://people.apache.org/repo/m2-incubating-repository
>> Downloading commonj/sdo-api-r2.1/1.0-incubating-beta1/jar...
>>
>> Notice that the version it is supposed to download (this is the same
>> version
>> specified in geronimo-plugin.xml) and the one it is actually
>> downloading are
>> different.
>>
>> The plugin is failing to start and is throwing an exception with
>> "reason:
>> Unable to resolve dependency commonj/sdo-api-r2.1
>> /1.0-incubating-SNAPSHOT/jar".
>>
>> Any ideas on what could be wrong?  Any work-around/fix for this?
>>
>> Thanks,
>> Vamsi
>>
> 
> 
> 
>        
> ____________________________________________________________________________________
> Boardwalk for $500? In 2007? Ha! Play Monopoly Here and Now (it's updated for today's
economy) at Yahoo! Games.
> http://get.games.yahoo.com/proddesc?gamekey=monopolyherenow  
> 
> 

Mime
View raw message